## rust-linescroll 0.2.0

=== Makefile ===
VERSION := $(shell grep version Cargo.toml | sed -e 's/.* = "//g;s/"$$//g')
NAME := linescroll
DOC := $(NAME)
MDDATE := $(shell find $(DOC).md -printf "%Td %TB %TY\n")
RELEASE := target/release/$(NAME)

all: build test bintest doc

build:
	cargo build --release

doc:
	( cat $(NAME).md | sed -e 's/^footer: \(\S\+\) \S\+$$/footer: \1 $(VERSION)/g' -e 's/^date:.*/date: $(MDDATE)/g' ) > $(NAME).md.tmp && mv $(NAME).md.tmp $(NAME).md
	cat $(NAME).md | sed -e 's,\([^ `-]\)--\([a-zA-Z]\),\1\\--\2,g' -e '/^|/s/\\n/\\\\n/g' -e '/^|/s/\\t/\\\\t/g' > $(NAME).man.md
	pandoc --standalone --ascii --to man $(NAME).man.md -o $(NAME).1
	rm $(NAME).man.md

test:
	cargo test

bintest:

install: all
	strip $(RELEASE)
	please install -m 0755 $(RELEASE) /usr/local/bin

=== debian/changelog ===
rust-linescroll (0.2.0-3) unstable; urgency=medium

  * Team upload.
  * Package linescroll 0.2.0 from crates.io using debcargo 2.7.8
  * Add patch for nix 0.30.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 14 Oct 2025 13:46:35 +0000

rust-linescroll (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * Package linescroll 0.2.0 from crates.io using debcargo 2.6.1
  * Add patch to support nix 0.27 and 0.28.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 23:11:38 +0000

rust-linescroll (0.2.0-1) unstable; urgency=medium

  * Package linescroll 0.2.0 from crates.io using debcargo 2.6.1
  * Closes: #1039943

 -- Ed Neville <ed-debian@s5h.net>  Wed, 03 Apr 2024 11:01:49 -0400

=== debian/control ===
Source: rust-linescroll
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-chrono-0.4+default-dev,
 librust-getopts-0.2+default-dev,
 librust-nix-0.30+default-dev,
 librust-nix-0.30+fs-dev,
 librust-nix-0.30+poll-dev,
 librust-nix-0.30+signal-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ed Neville <ed-debian@s5h.net>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/linescroll]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/linescroll
Homepage: https://www.usenix.org.uk/content/linescroll.html
X-Cargo-Crate: linescroll

Package: librust-linescroll-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-chrono-0.4+default-dev,
 librust-getopts-0.2+default-dev,
 librust-nix-0.30+default-dev,
 librust-nix-0.30+fs-dev,
 librust-nix-0.30+poll-dev,
 librust-nix-0.30+signal-dev
Provides:
 librust-linescroll+default-dev (= ${binary:Version}),
 librust-linescroll-0-dev (= ${binary:Version}),
 librust-linescroll-0+default-dev (= ${binary:Version}),
 librust-linescroll-0.2-dev (= ${binary:Version}),
 librust-linescroll-0.2+default-dev (= ${binary:Version}),
 librust-linescroll-0.2.0-dev (= ${binary:Version}),
 librust-linescroll-0.2.0+default-dev (= ${binary:Version})
Description: simple tool to watch logfile throughput - Rust source code
 Display logfile line throughput. Useful for live comparisson of
 server access. E.g. cached vs uncached web access.

Package: linescroll
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: simple tool to watch logfile throughput
 Display logfile line throughput. Useful for live comparisson of
 server access. E.g. cached vs uncached web access.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test linescroll 0.2.0 --all-targets --all-features
Features: test-name=rust-linescroll:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test linescroll 0.2.0 --all-targets
Features: test-name=librust-linescroll-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test linescroll 0.2.0 --all-targets --no-default-features
Features: test-name=librust-linescroll-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/linescroll
Matching-Pattern:  .*/crates/linescroll/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/linescroll-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
